Bug 479593 - Banshee Encountered a Fatal Error
Banshee Encountered a Fatal Error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-11 16:15 EST by Emil Librea III
Modified: 2009-12-18 02:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:34:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message (2.31 KB, text/plain)
2009-01-11 16:16 EST, Emil Librea III
no flags Details

  None (edit)
Description Emil Librea III 2009-01-11 16:15:07 EST
Description of problem:
On a new install of Fedora 10, banshee encounters a fatal error (see text file for details of error)

Version-Release number of selected component (if applicable):
banshee-1.4.1-1.fc10.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Install F10
2. Install banshee
3. Run banshee
  
Actual results:
Error window with error details appears. Bansee does not continue to load.

Expected results:
Banshee runs successfully

Additional info:
Comment 1 Emil Librea III 2009-01-11 16:16:08 EST
Created attachment 328677 [details]
Error message
Comment 2 Michel Alexandre Salim 2009-01-23 16:28:30 EST
Could you verify if mono-addins is installed and retry?
Comment 3 Emil Librea III 2009-01-23 20:52:10 EST
I confirm that mono-addins is not installed. Upon installation, banshee now works. Seems to be a dependency bug. Also, note that f-spot was required for the installation of banshee (which is not normal, yes?).
Comment 4 Fedora Update System 2009-01-26 20:52:47 EST
banshee-1.4.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update banshee'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1007
Comment 5 Fedora Update System 2009-01-26 20:56:02 EST
banshee-1.4.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update banshee'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1051
Comment 6 carlfriend1 2009-01-28 09:09:05 EST
   1.
      [Info 06:29:37.864] Running Banshee 1.4.1
   2.
      [Error 06:29:44.443] Unable to Migrate Smart Playlists - Please file a bug with this error: Mono.Data.SqliteClient.SqliteExecutionException: SQL logic error or missing database
   3.
      at Mono.Data.SqliteClient.SqliteCommand.ExecuteStatement (IntPtr pStmt, System.Int32& cols, System.IntPtr& pazValue, System.IntPtr& pazColName) [0x00000]
   4.
      at Mono.Data.SqliteClient.SqliteCommand.ExecuteStatement (IntPtr pStmt) [0x00000]
   5.
      at Mono.Data.SqliteClient.SqliteCommand.ExecuteReader (CommandBehavior behavior, Boolean want_results, System.Int32& rows_affected) [0x00000]
   6.
      at Mono.Data.SqliteClient.SqliteCommand.ExecuteNonQuery () [0x00000]
   7.
      at Hyena.Data.Sqlite.HyenaSqliteCommand.Execute (Hyena.Data.Sqlite.HyenaSqliteConnection hconnection, Mono.Data.SqliteClient.SqliteConnection connection) [0x00000]
   8.
      [Info 06:29:45.577] All services are started 6.860189s
   9.
      Exception has been thrown by the target of an invocation.
  10.
      System.Reflection.TargetInvocationException: Exception has been thrown by the target of an invocation. ---> Mono.Data.SqliteClient.SqliteExecutionException: SQL logic error or missing database
  11.
      at Mono.Data.SqliteClient.SqliteCommand.ExecuteStatement (IntPtr pStmt, System.Int32& cols, System.IntPtr& pazValue, System.IntPtr& pazColName) [0x00000]
  12.
      at Mono.Data.SqliteClient.SqliteCommand.ExecuteStatement (IntPtr pStmt) [0x00000]
  13.
      at Mono.Data.SqliteClient.SqliteCommand.ExecuteReader (CommandBehavior behavior, Boolean want_results, System.Int32& rows_affected) [0x00000]
  14.
      at Mono.Data.SqliteClient.SqliteCommand.ExecuteNonQuery () [0x00000]
  15.
      at Hyena.Data.Sqlite.HyenaSqliteCommand.Execute (Hyena.Data.Sqlite.HyenaSqliteConnection hconnection, Mono.Data.SqliteClient.SqliteConnection connection) [0x00000]
  16.
      --- End of inner exception stack trace ---
  17.
      at System.Reflection.MonoCMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000]
  18.
      at System.Reflection.MonoCMethod.Invoke (BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) [0x00000]
  19.
      at System.Reflection.ConstructorInfo.Invoke (System.Object[] parameters) [0x00000]
  20.
      at System.Activator.CreateInstance (System.Type type, Boolean nonPublic) [0x00000]
  21.
      at System.Activator.CreateInstance (System.Type type) [0x00000]
  22.
      at Banshee.Gui.GtkBaseClient.Startup () [0x00000]
  23.
      at Hyena.Gui.CleanRoomStartup.Startup (Hyena.Gui.StartupInvocationHandler startup) [0x00000]
Comment 7 Michel Alexandre Salim 2009-02-10 09:39:35 EST
carlfriend1@verizon.net: is this reproducible using Banshee 1.4.2 from

yum --enablerepo=updates-testing update banshee ?

That is the most current build for F-10.
Comment 8 Emil Librea III 2009-02-11 10:56:52 EST
I have now installed 1.4.2 from the F10 updates-testing repo and confirm that the reported error no longer occurs.

f-spot, however, is still installed as a dependency. Other than this, no issues.

thanks!
Comment 9 carlfriend1 2009-02-11 14:10:38 EST
same thing happened with 1.42

 banshee-1 --debug
** Running Mono with --debug   **

** (/usr/lib/banshee-1/Banshee.exe:4845): WARNING **: Symbol file /usr/lib/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll.mdb has incorrect version (expected 50.0, got 39)

Unhandled Exception: System.Exception: Unable to open the session message bus. ---> System.Exception: Broken pipe
  at NDesk.DBus.Transports.UnixSocket.Write (System.Byte[] buf, Int32 offset, Int32 count) [0x00000] 
  at NDesk.DBus.Transports.UnixStream.Write (System.Byte[] buffer, Int32 offset, Int32 count) [0x00000] 
  at NDesk.DBus.Connection.WriteMessage (NDesk.DBus.Message msg) [0x00000] 
  at NDesk.DBus.Connection.SendWithReply (NDesk.DBus.Message msg) [0x00000] 
  at NDesk.DBus.Connection.SendWithReplyAndBlock (NDesk.DBus.Message msg) [0x00000] 
  at NDesk.DBus.BusObject.SendMethodCall (System.String iface, System.String member, System.String inSigStr, NDesk.DBus.MessageWriter writer, System.Type retType, System.Exception& exception) [0x00000] 
  at IBusProxy.Hello () [0x00000] 
  at NDesk.DBus.Bus.Register () [0x00000] 
  at NDesk.DBus.Bus..ctor (System.String address) [0x00000] 
  at NDesk.DBus.Bus.Open (System.String address) [0x00000] 
  at NDesk.DBus.Bus.get_Session () [0x00000] 
  --- End of inner exception stack trace ---
  at NDesk.DBus.Bus.get_Session () [0x00000] 
  at Banshee.ServiceStack.DBusConnection.get_ApplicationInstanceAlreadyRunning () [0x00000] in /builddir/build/BUILD/banshee-1-1.4.2/src/Core/Banshee.Services/Banshee.Base/RateLimiter.cs:1 
  at Booter.Booter.Main () [0x00000] in /builddir/build/BUILD/banshee-1-1.4.2/src/Clients/Booter/Booter/Entry.cs:1881
Comment 10 Bug Zapper 2009-11-18 04:27:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 02:34:45 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.